Bug 114006 - New default set of gradient presets
Summary: New default set of gradient presets
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Object-Fill-Gradient
  Show dependency treegraph
 
Reported: 2017-11-23 11:49 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-30 09:34 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with new gradients (17.13 KB, application/vnd.oasis.opendocument.text)
2017-11-24 11:18 UTC, Heiko Tietze
Details
Gradient file (3.82 KB, application/xml)
2017-11-24 11:19 UTC, Heiko Tietze
Details
Gradient presets from MS Word (1.19 MB, application/pdf)
2017-11-24 11:33 UTC, Yousuf Philips (jay) (retired)
Details
Gradient mockups (191.44 KB, application/vnd.oasis.opendocument.text)
2018-01-01 12:47 UTC, andreas_k
Details
Proposal for updated gradients, pending new colors (3.86 KB, application/xml)
2018-01-03 21:07 UTC, Heiko Tietze
Details
preselection after vote (273.88 KB, application/x-zip-compressed)
2018-05-06 20:46 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-11-23 11:49:23 UTC
In LO 4.1 and 4.2 (2013/2014) we updated the gradient presents that came from OOo and it would be good to update them now.

https://opengrok.libreoffice.org/xref/core/extras/source/palettes/standard.sog
Comment 1 Heiko Tietze 2017-11-23 12:09:37 UTC
Let's get feedback from the UX fellows. Any particular gradient that someone has made his/her own?
Comment 2 Heiko Tietze 2017-11-24 11:18:26 UTC
Created attachment 137958 [details]
Document with new gradients

Here is a first proposal.
Comment 3 Heiko Tietze 2017-11-24 11:19:47 UTC
Created attachment 137959 [details]
Gradient file

And the file ~/.config/libreoffice/4/user/config/standard.sog
Comment 4 Yousuf Philips (jay) (retired) 2017-11-24 11:33:08 UTC
Created attachment 137960 [details]
Gradient presets from MS Word
Comment 6 Heiko Tietze 2017-12-13 22:08:43 UTC
Patch submitted https://gerrit.libreoffice.org/#/c/46428/
Comment 7 Heiko Tietze 2017-12-21 09:38:20 UTC
(In reply to Heiko Tietze from comment #6)
> Patch submitted https://gerrit.libreoffice.org/#/c/46428/

No review until now, so the chance to get this into 6.0 declines.
Comment 8 andreas_k 2018-01-01 12:47:16 UTC
Created attachment 138789 [details]
Gradient mockups

Please review them. Most gradients use the LibreOffice standard color plate.

row 1 and 2
-----------
are for drawing shapes. I used quadratic style to show that there is more than linear available in addition it focus more the content if you add text to the shape

row 3
-----
Grayscale gradients.
1st is good for light accent. Gradient is also good for impress background
2nd like row 1 and 2 quadratic gradient with gray
3rd linear gradient a bit darker. Text work in white and black

row 4
-----
1st cool color give a professional and soothing touch
2nd a mix between fresh and vintage
3rd worm color for your lovely content

row 5
-----
1st look earthy and clean work as background
2nd work as background and give good focus
3rd focus to the text content with the radial grade


Page 2
======

row 1 
-----
all work quite good as impress background and as shape

row 2
-----
1st fresh and clear work good with elipsoid style
2nd professional
3rd a bit vintage

row 3
-----
1st use quadratic and Border + Centric property which show what's possible with LO
2nd work good at presentations
3rd let the sun shine

row 4
-----
all are clean and professional
Comment 9 andreas_k 2018-01-01 12:47:53 UTC
would be also nice to have templates (impress) using the gradients
Comment 10 Heiko Tietze 2018-01-02 09:18:16 UTC
Gradients are submitted in https://gerrit.libreoffice.org/#/c/46428/7 but not confirmed yet, unfortunately. I kept the number at 15 as our preset lists that many and tried to show the potential of the configuration rather than providing color variants. Not easy was the naming which is missing in your proposal.
Comment 11 Heiko Tietze 2018-01-03 21:07:11 UTC
Created attachment 138866 [details]
Proposal for updated gradients, pending new colors

Place the palette at ~/.config/libreoffice/4/user/config/standard.sog

New gradients need an update of unit tests in uitest/impress_tests/backgrounds.py and uitest/impress_tests/backgrounds.py. Color names have to be added to include/svx/strings.hrc, svx/inc/strings.hxx, and svx/source/unodraw/unoprov.cxx in order for l10n.

See https://gerrit.libreoffice.org/#/c/46428/ and https://gerrit.libreoffice.org/#/c/47088/ for the needed changes.
Comment 12 andreas_k 2018-01-03 22:07:02 UTC
Mahagoni and Purple Haze is cool. The others I'm sceptic. 

when the user want to draw shapes it's difficult to find good gradients for it. and for background gradients I like the ideas of this blog post https://www.slideteam.net/blog/5-awesome-gradient-backgrounds-for-your-slides-and-how-to-create-them/
Comment 13 Xisco Faulí 2018-04-04 09:05:16 UTC
Dear Heiko Tietze,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 14 andreas_k 2018-05-06 20:46:18 UTC
Created attachment 141943 [details]
preselection after vote
Comment 15 Commit Notification 2018-05-09 06:56:25 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3ec2fb53c68547deda0724315841c818a39fb12

tdf#114006 - New default set of gradient presets

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.